Package Gnumed :: Package wxpython :: Package patient :: Module gmGP_FamilyHistory |
[frames] | no frames]

# Module gmGP_FamilyHistory

source code

Version: $Revision: 1.11 $

Author: R.Terry <rterry@gnumed.net>, H.Herb <hherb@gnumed.net>, S.Tan

Classes
| FamilyHistoryPanel
| gmGP_FamilyHistory Plugin to encapsulate the family history window.

Variables
| ID_MEMBERCONDITIONSLIST = `wxNewId()`
| ID_FAMILYMEMBERSLIST = `wxNewId()`
| ID_IMMUNISATIONS = `wxNewId()`
| ID_ALL_MENU = `wxNewId()`
| gmSECTION_FAMILYHISTORY = `4`
| familymemberdata = `{1:("Mother", ""), 2:("General Family Histo`...``
| membersconditionsdata = `{1:("Acute myocardial infarction aged `...``

Imports: wxversion, wx, gmEditArea, gmPlugin_Patient, gmGuiElement_HeadingCaptionPanel, gmGuiElement_DividerCaptionPanel, gmGuiElement_AlertCaptionPanel, PatientHolder

Variables Details

  ### familymemberdata Value:
      {1:("Mother", ""), 2:("General Family History", ""), 3:("Freda -Aunt",
       ""),}

  ### membersconditionsdata Value:
      {1:("Acute myocardial infarction aged 73, caused death 73", ""), 2:("H
      ypertension age onset 40", ""),}